## mouhoposter 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: mouhoposter
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Mar 18 09:28:59 2011
# Project:  mouhoposter.pro
# Template: app
# Command: /home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/antti/Applications/nokia-qt-sdk-1.1-beta/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile mouhoposter.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtXml -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtMaemo5 -I../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDeclarative -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = viewphotodetails.cpp \
		viewmessagecontents.cpp \
		viewlogin.cpp \
		networkhandler.cpp \
		mouho.cpp \
		main.cpp \
		config.cpp moc_viewphotodetails.cpp \
		moc_viewmessagecontents.cpp \
		moc_viewlogin.cpp \
		moc_networkhandler.cpp \
		moc_mouho.cpp \
		moc_config.cpp \
		qrc_resource-gfx.cpp \
		qrc_resource-qml.cpp
OBJECTS       = viewphotodetails.o \
		viewmessagecontents.o \
		viewlogin.o \
		networkhandler.o \
		mouho.o \
		main.o \
		config.o \
		moc_viewphotodetails.o \
		moc_viewmessagecontents.o \
		moc_viewlogin.o \
		moc_networkhandler.o \
		moc_mouho.o \
		moc_config.o \
		qrc_resource-gfx.o \
		qrc_resource-qml.o
DIST          = ../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mouhoposter.pro
QMAKE_TARGET  = mouhoposter
DESTDIR       = 
TARGET        = mouhoposter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mouhoposter.pro  ../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDeclarative.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtScript.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSvg.prl \
		/home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSql.prl \

=== debian/changelog ===
mouhoposter (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Antti Poikela <antti.poikela@iki.fi>  Wed, 16 Mar 2011 22:00:00 +0100

## mouhoposter 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mouhoposter
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Mar 18 09:28:59 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Mar 18 23:38:57 2011
 # Project:  mouhoposter.pro
 # Template: app
 # Command: /home/antti/Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../../../Applications/nokia-qt-sdk-1.1-beta/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/antti/Applications/nokia-qt-sdk-1.1-beta/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile mouhoposter.pro

=== debian/changelog ===
mouhoposter (1.0.1) unstable; urgency=low

  * Initial Release.

 -- Antti Poikela <antti.poikela@iki.fi>  Wed, 16 Mar 2011 22:00:00 +0100

=== debian/control ===
Source: mouhoposter
Section: user/network
Priority: optional
Maintainer: Antti Poikela <antti.poikela@iki.fi>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://ztesch.fi/mouh/

Package: mouhoposter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtm-12-gallery, libqtm-12-declarative
Description: Send photos to IRC
  Send photos to IRC. Requires usage of compatible web
  service and IRC bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	# Add here commands to compile the package.
	qmake
	$(MAKE)
	#docbook-to-man debian/mouhoposter.sgml > mouhoposter.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mouhoposter.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/mouhoposter install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps                      # Uncomment this line for publishing!
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
